Bug 876958 - 3.2 - [vdsm] [RHEL 6.4 lvm2] create block storage domain with latest lvm2 version fails: TypeError: __new__() takes exactly 9 arguments (10 given) (lvm2-2.02.98-2.el6.x86_64)
3.2 - [vdsm] [RHEL 6.4 lvm2] create block storage domain with latest lvm2 ver...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Ayal Baron
Elad
storage
: Regression, TestBlocker, ZStream
Depends On:
Blocks: 879715
  Show dependency treegraph
 
Reported: 2012-11-15 06:36 EST by Haim
Modified: 2016-02-10 14:04 EST (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-11-15 06:36:06 EST
Description of problem:

unable to create block storage domain using latest lvm2 version as I get exception during createVG command.

Thread-3949::INFO::2012-11-15 16:28:41,894::logUtils::37::dispatcher::(wrapper) Run and protect: createStorageDomain(storageType=3, sdUUID='f15bcc44-69e5-46b7-9714-33c24acff866', domainName='myStorageDomain', typeSpecificArg='yONo7u-C9Nf-OFzz-RVnp-cTdh-6Gq6-FTKVRs', domClass=1, domVersion='3', options=None)
Thread-3949::INFO::2012-11-15 16:28:42,146::blockSD::455::Storage.StorageDomain::(create) sdUUID=f15bcc44-69e5-46b7-9714-33c24acff866 domainName=myStorageDomain domClass=1 vgUUID=yONo7u-C9Nf-OFzz-RVnp-cTdh-6Gq6-FTKVRs storageType=3 version=3
Thread-3949::DEBUG::2012-11-15 16:28:42,146::lvm::352::OperationMutex::(_reloadvgs) Operation 'lvm reload operation' got the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,147::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/lvm vgs --config " devices { preferred_names = [\\"^/dev/mapper/\\"] ignore_suspended_devices=1 write_cache_state=0 disable_after_error_count=3 filter = [ \\"a%3514f0c56100003b6|3514f0c56100003b7|3514f0c56100003b8|3514f0c56100003b9|3514f0c56100003ba%\\", \\"r%.*%\\" ] }  global {  locking_type=1  prioritise_write_locks=1  wait_for_locks=1 }  backup {  retain_min = 50  retain_days = 0 } " --noheadings --units b --nosuffix --separator | -o uuid,name,attr,size,free,extent_size,extent_count,free_count,tags,vg_mda_size,vg_mda_free' (cwd None)
Thread-3949::DEBUG::2012-11-15 16:28:42,305::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = ''; <rc> = 0
Thread-3949::DEBUG::2012-11-15 16:28:42,307::lvm::379::OperationMutex::(_reloadvgs) Operation 'lvm reload operation' released the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,308::lvm::393::OperationMutex::(_reloadlvs) Operation 'lvm reload operation' got the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,308::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/lvm lvs --config " devices { preferred_names = [\\"^/dev/mapper/\\"] ignore_suspended_devices=1 write_cache_state=0 disable_after_error_count=3 filter = [ \\"a%3514f0c56100003b6|3514f0c56100003b7|3514f0c56100003b8|3514f0c56100003b9|3514f0c56100003ba%\\", \\"r%.*%\\" ] }  global {  locking_type=1  prioritise_write_locks=1  wait_for_locks=1 }  backup {  retain_min = 50  retain_days = 0 } " --noheadings --units b --nosuffix --separator | -o uuid,name,vg_name,attr,size,seg_start_pe,devices,tags f15bcc44-69e5-46b7-9714-33c24acff866' (cwd None)
Thread-3949::DEBUG::2012-11-15 16:28:42,464::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = ''; <rc> = 0
Thread-3949::DEBUG::2012-11-15 16:28:42,465::lvm::422::OperationMutex::(_reloadlvs) Operation 'lvm reload operation' released the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,466::lvm::319::OperationMutex::(_reloadpvs) Operation 'lvm reload operation' got the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,466::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/lvm pvs --config " devices { preferred_names = [\\"^/dev/mapper/\\"] ignore_suspended_devices=1 write_cache_state=0 disable_after_error_count=3 filter = [ \\"a%3514f0c56100003b6|3514f0c56100003b7|3514f0c56100003b8|3514f0c56100003b9|3514f0c56100003ba%\\", \\"r%.*%\\" ] }  global {  locking_type=1  prioritise_write_locks=1  wait_for_locks=1 }  backup {  retain_min = 50  retain_days = 0 } " --noheadings --units b --nosuffix --separator | -o uuid,name,size,vg_name,vg_uuid,pe_start,pe_count,pe_alloc_count,mda_count,dev_size /dev/mapper/3514f0c56100003b6 /dev/mapper/3514f0c56100003b9' (cwd None)
Thread-3949::DEBUG::2012-11-15 16:28:42,641::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = ''; <rc> = 0
Thread-3949::DEBUG::2012-11-15 16:28:42,642::lvm::342::OperationMutex::(_reloadpvs) Operation 'lvm reload operation' released the operation mutex
Thread-3949::INFO::2012-11-15 16:28:42,642::blockSD::442::Storage.StorageDomain::(metaSize) size 512 MB (metaratio 262144)
Thread-3949::DEBUG::2012-11-15 16:28:42,643::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/lvm lvcreate --config " devices { preferred_names = [\\"^/dev/mapper/\\"] ignore_suspended_devices=1 write_cache_state=0 disable_after_error_count=3 filter = [ \\"a%3514f0c56100003b6|3514f0c56100003b7|3514f0c56100003b8|3514f0c56100003b9|3514f0c56100003ba%\\", \\"r%.*%\\" ] }  global {  locking_type=1  prioritise_write_locks=1  wait_for_locks=1 }  backup {  retain_min = 50  retain_days = 0 } " --autobackup n --contiguous n --size 512m --name metadata f15bcc44-69e5-46b7-9714-33c24acff866' (cwd None)
Thread-3949::DEBUG::2012-11-15 16:28:42,887::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = '  WARNING: This metadata update is NOT backed up\n  WARNING: This metadata update is NOT backed up\n'; <rc> = 0
Thread-3949::DEBUG::2012-11-15 16:28:42,916::lvm::467::OperationMutex::(_invalidatevgs) Operation 'lvm invalidate operation' got the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,921::lvm::469::OperationMutex::(_invalidatevgs) Operation 'lvm invalidate operation' released the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,922::lvm::478::OperationMutex::(_invalidatelvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,922::lvm::490::OperationMutex::(_invalidatelvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,922::lvm::393::OperationMutex::(_reloadlvs) Operation 'lvm reload operation' got the operation mutex
Thread-3949::DEBUG::2012-11-15 16:28:42,923::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/lvm lvs --config " devices { preferred_names = [\\"^/dev/mapper/\\"] ignore_suspended_devices=1 write_cache_state=0 disable_after_error_count=3 filter = [ \\"a%3514f0c56100003b6|3514f0c56100003b7|3514f0c56100003b8|3514f0c56100003b9|3514f0c56100003ba%\\", \\"r%.*%\\" ] }  global {  locking_type=1  prioritise_write_locks=1  wait_for_locks=1 }  backup {  retain_min = 50  retain_days = 0 } " --noheadings --units b --nosuffix --separator | -o uuid,name,vg_name,attr,size,seg_start_pe,devices,tags f15bcc44-69e5-46b7-9714-33c24acff866' (cwd None)
Thread-3949::DEBUG::2012-11-15 16:28:43,079::__init__::1164::Storage.Misc.excCmd::(_log) SUCCESS: <err> = ''; <rc> = 0
Thread-3949::DEBUG::2012-11-15 16:28:43,081::lvm::422::OperationMutex::(_reloadlvs) Operation 'lvm reload operation' released the operation mutex
Thread-3949::ERROR::2012-11-15 16:28:43,082::task::853::TaskManager.Task::(_setError) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::Unexpected error
Thread-3949::DEBUG::2012-11-15 16:28:43,085::task::872::TaskManager.Task::(_run) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::Task._run: 6fc11a6a-1480-4c3f-8527-9b3d256e9583 (3, 'f15bcc44-69e5-46b7-9714-33c24acff866', 'myStorageDomain', 'yONo7u-C9Nf-OFzz-RVnp-cTdh-6Gq6-FTKVRs', 1, '3') {} failed - stopping task
Thread-3949::DEBUG::2012-11-15 16:28:43,085::task::1199::TaskManager.Task::(stop) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::stopping in state preparing (force False)
Thread-3949::DEBUG::2012-11-15 16:28:43,086::task::978::TaskManager.Task::(_decref) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::ref 1 aborting True
Thread-3949::INFO::2012-11-15 16:28:43,086::task::1157::TaskManager.Task::(prepare) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::aborting: Task is aborted: u'__new__() takes exactly 9 arguments (10 given)' - code 100
Thread-3949::DEBUG::2012-11-15 16:28:43,086::task::1162::TaskManager.Task::(prepare) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::Prepare: aborted: __new__() takes exactly 9 arguments (10 given)
Thread-3949::DEBUG::2012-11-15 16:28:43,086::task::978::TaskManager.Task::(_decref) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::ref 0 aborting True
Thread-3949::DEBUG::2012-11-15 16:28:43,087::task::913::TaskManager.Task::(_doAbort) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::Task._doAbort: force False
Thread-3949::DEBUG::2012-11-15 16:28:43,087::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-3949::DEBUG::2012-11-15 16:28:43,087::task::588::TaskManager.Task::(_updateState) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::moving from state preparing -> state aborting
Thread-3949::DEBUG::2012-11-15 16:28:43,087::task::537::TaskManager.Task::(__state_aborting) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::_aborting: recover policy none
Thread-3949::DEBUG::2012-11-15 16:28:43,088::task::588::TaskManager.Task::(_updateState) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::moving from state aborting -> state failed
Thread-3949::DEBUG::2012-11-15 16:28:43,088::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-3949::DEBUG::2012-11-15 16:28:43,088::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}

Thread-3949::ERROR::2012-11-15 16:28:43,082::task::853::TaskManager.Task::(_setError) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 2294, in createStorageDomain
    domClass, typeSpecificArg, storageType, domVersion)
  File "/usr/share/vdsm/storage/blockSD.py", line 489, in create
    mapping = cls.getMetaDataMapping(vgName)
  File "/usr/share/vdsm/storage/blockSD.py", line 616, in getMetaDataMapping
    firstDev, firstExtent = lvm.getFirstExt(vgName, sd.METADATA)
  File "/usr/share/vdsm/storage/lvm.py", line 1192, in getFirstExt
    return getLV(vg, lv).devices.strip(" )").split("(")
  File "/usr/share/vdsm/storage/lvm.py", line 804, in getLV
    lv = _lvminfo.getLv(vgName, lvName)
  File "/usr/share/vdsm/storage/lvm.py", line 570, in getLv
    lvs = self._reloadlvs(vgName)
  File "/usr/share/vdsm/storage/lvm.py", line 422, in _reloadlvs
    self._lvs.pop((vgName, lvName), None)
  File "/usr/lib64/python2.6/contextlib.py", line 34, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/share/vdsm/storage/misc.py", line 1210, in acquireContext
    yield self
  File "/usr/share/vdsm/storage/lvm.py", line 407, in _reloadlvs
    lv = makeLV(*fields)
  File "/usr/share/vdsm/storage/lvm.py", line 221, in makeLV
    attrs = _attr2NamedTuple(args[LV._fields.index("attr")], LV_ATTR_BITS, "LV_ATTR")
  File "/usr/share/vdsm/storage/lvm.py", line 191, in _attr2NamedTuple
    attrs = Attrs(*values)
TypeError: __new__() takes exactly 9 arguments (10 given)
Thread-3949::DEBUG::2012-11-15 16:28:43,085::task::872::TaskManager.Task::(_run) Task=`6fc11a6a-1480-4c3f-8527-9b3d256e9583`::Task._run: 6fc11a6a-1480-4c3f-852
7-9b3d256e9583 (3, 'f15bcc44-69e5-46b7-9714-33c24acff866', 'myStorageDomain', 'yONo7u-C9Nf-OFzz-RVnp-cTdh-6Gq6-FTKVRs', 1, '3') {} failed - stopping task


Thread-3949::ERROR::2012-11-15 16:28:43,088::dispatcher::69::Storage.Dispatcher.Protect::(run) __new__() takes exactly 9 arguments (10 given)
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/dispatcher.py", line 61, in run
    result = ctask.prepare(self.func, *args, **kwargs)
  File "/usr/share/vdsm/storage/task.py", line 1164, in prepare
    raise self.error
TypeError: __new__() takes exactly 9 arguments (10 given)
Thread-3965::DEBUG::2012-11-15 16:28:44,215::task::588::TaskManager.Task::(_updateState) Task=`ea19e078-ed91-4332-93e9-3a0368d393dd`::moving from state init -> state preparing

steps to reproduce:

1) vdsClient -s 0 creatrVG `uuidgen` $(LUN)
2) Failed to initialize physical device: ("['/dev/mapper/3514f0c56100003b6']",)

vdsm-4.9.6-43.0.el6_3.x86_64
lvm2-2.02.98-2.el6.x86_64
Comment 2 Dan Kenigsberg 2012-11-19 03:22:58 EST
Untested patch:

http://gerrit.ovirt.org/9317
Comment 7 Daniel Paikov 2012-12-11 08:25:29 EST
Tested successfully on vdsm-4.10.2-1.0.el6.x86_64 and lvm2-2.02.98-3.el6.x86_64.
Comment 9 Itamar Heim 2013-06-11 04:54:33 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:54:40 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:54:41 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 04:57:47 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 05:27:27 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.